Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.rules
Class WordRule

    java.lang.Object
      org.eclipse.jface.text.rules.WordRule

All Implemented Interfaces:
  IRule

public class WordRule
extends Object
implements IRule

An implementation of `IRule` capable of detecting words Word rules also allow for the association of tokens with specific words. That is, not only can the rule be used to provide tokens for exact matches, but also for the generalized notion of a word in the context in which it is used. A word rules uses a word detector to determine what a word is.

See Also:
  `IWordDetector`

Field Summary
`protected int` | `fColumn` The column constraint
`protected IToken` | `fDefaultToken` The default token to be returned on success and if nothing else has been specified.
`protected IWordDetector` | `fDetector` The word detector used by this rule
`protected Map` | `fWords` The table of predefined words and token for this rule
`protected static int` | `UNDEFINED` Internal setting for the uninitialized column constraint

Constructor Summary
`WordRule(IWordDetector detector)` Creates a rule which, with the help of an word detector, will return the token associated with the detected word.
`WordRule(IWordDetector detector, IToken defaultToken)` Creates a rule which, with the help of an word detector, will return the token associated with the detected word.

Method Summary
`void` | `addWord(String word, IToken token)` Adds a word and the token to be returned if it is detected.
`IToken` | `evaluate(ICharacterScanner scanner)` Evaluates the rule by examining the characters available from the provided character scanner.
`void` | `setColumnConstraint(int column)` Sets a column constraint for this rule.
`protected void` | `unreadBuffer(ICharacterScanner scanner)` Returns the characters in the buffer to the scanner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEFINED

    protected static final int UNDEFINED

  Internal setting for the uninitialized column constraint

  See Also:
    Constant Field Values

### fDetector

    protected IWordDetector fDetector

  The word detector used by this rule

### fDefaultToken

    protected IToken fDefaultToken

  The default token to be returned on success and if nothing else has been specified.

### fColumn

    protected int fColumn

  The column constraint

### fWords

    protected Map fWords

  The table of predefined words and token for this rule

Constructor Detail

### WordRule

    public WordRule(IWordDetector detector)

  Creates a rule which, with the help of an word detector, will return the token associated with the detected word. If no token has been associated, the scanner will be rolled back and an undefined token will be returned in order to allow any subsequent rules to analyze the characters.

Parameters:
  `detector` - the word detector to be used by this rule, may not be `null`
See Also:
  `addWord(String, IToken)`

### WordRule

    public WordRule(IWordDetector detector,
                    IToken defaultToken)

  Creates a rule which, with the help of an word detector, will return the token associated with the detected word. If no token has been associated, the specified default token will be returned.

Parameters:
  `detector` - the word detector to be used by this rule, may not be `null`
  `defaultToken` - the default token to be returned on success if nothing else is specified, may not be `null`
See Also:
  `addWord(String, IToken)`

Method Detail

### addWord

    public void addWord(String word,
                        IToken token)

  Adds a word and the token to be returned if it is detected.

  Parameters:
    `word` - the word this rule will search for, may not be `null`
    `token` - the token to be returned if the word has been found, may not be `null`

### setColumnConstraint

    public void setColumnConstraint(int column)

  Sets a column constraint for this rule. If set, the rule's token will only be returned if the pattern is detected starting at the specified column. If the column is smaller then 0, the column constraint is considered removed.

  Parameters:
    `column` - the column in which the pattern starts

### evaluate

    public IToken evaluate(ICharacterScanner scanner)

  Description copied from interface: `IRule`
  Evaluates the rule by examining the characters available from the provided character scanner. The token returned by this rule returns `true` when calling `isUndefined`, if the text the rule investigated does not match the rule's requirements.

  Specified by:
    `evaluate` in interface `IRule`
  Parameters:
    `scanner` - the character scanner to be used by this rule
  Returns:
    the token computed by the rule

### unreadBuffer

    protected void unreadBuffer(ICharacterScanner scanner)

  Returns the characters in the buffer to the scanner.

  Parameters:
    `scanner` - the scanner to be used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.